Page MenuHomePhabricator

In route-map set community additive
Closed, ResolvedPublicFEATURE REQUEST

Description

In commit https://github.com/vyos/vyatta-cfg-quagga/commit/25d3ee90522b1056d9a25735c3e0c89e7b1eeae1#diff-5d59f3112c0c1adb70e3a081ec67e002 the 'additive' option was removed.
It would be good to have the option to add communities in route-map rules, instead of always replacing existing.
I have situations where i would like to keep the received communities from providers, and also internally routes pass multiple routers and adding communities is a nice option to have.

It seems the verification script vyatta_quagga_utils.pl does have the additive option. So i tested by allowing it during configuration and it works.

Details

Difficulty level
Unknown (require assessment)
Version
-
Why the issue appeared?
Will be filled on close

Event Timeline

Merijn created this task.May 20 2019, 7:41 PM
pasik added a subscriber: pasik.May 23 2019, 6:52 AM
syncer changed the task status from Open to Backport candidate.Aug 31 2019, 12:22 AM
syncer assigned this task to dmbaturin.
syncer triaged this task as Normal priority.
syncer reassigned this task from dmbaturin to jestabro.Sat, Nov 16, 11:50 PM
syncer moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.
syncer moved this task from Needs Triage to Backlog on the VyOS 1.2 Crux (VyOS 1.2.4) board.
syncer added a subscriber: dmbaturin.
jestabro closed this task as Resolved.Fri, Nov 22, 2:06 PM